#import PASDY

# General functions

## Flushed print
##
_orig_print = print
def print_flush(*args, **kwargs):
    _orig_print(*args, flush=True, **kwargs)

## Verbose print
##
def printv(v=1, v_ref=1, s=''):
    if v <= v_ref:
        print(s)

## System calls
##
### Launch a file using its corresponding default application
### Usage: execute('file.pdf')
###
def execute(file):
    import subprocess, os, platform
    file = os.path.abspath(file)
    if platform.system() == 'Darwin':       # macOS
        subprocess.call(('open', file))
    elif platform.system() == 'Windows':    # Windows
        os.startfile(file)
    else:                                   # linux variants
        subprocess.call(('xdg-open', file))

## Definition shortcuts
##
### If a: convert(a), else b
###
def ifdef(a, b, convert=float):
    if not a:
        return(b)
    else:
        return(convert(a))

## Arrays
##
### Split str by comma
### Append some NaNs
###
def xsplit(s, range=0, type=str):
    import numpy as np
    a = np.array(s.replace(',',' ').split(), dtype=type)
    # fill up with NaNs
    for i in np.arange(range-len(a)):
        a = np.append(a, np.nan)
    return(a)


## Strings
##
### Chomp
###
def chomp(x):
    if x.endswith("\r\n"): return x[:-2]
    if x.endswith("\n") or x.endswith("\r"): return x[:-1]
    return(x)
    
    
## Input
##
### yes/no <-> Boolean
###
def yesno2bool(s):
    s = s.lower()
    if s == 'yes' or s == 'y':
        return(True)
    else:
        return(False)
        
###     
def bool2yesno(boo):
    if boo:
        return('yes')
    else:
        return('no')
        
