import os
import subprocess
from glob import glob

test_cases = [
    ["python", "../instantPASDy.py", "input/station.cfg", "--nonstop"],
#    ["python", "../instantPASDy.py", "input/JJ-config_rover.cfg", "--nonstop"]
]

i = 0
for c in test_cases:
    i += 1
    print("---TEST: Running test case %i: %s\n" % (i, ' '.join(c)), flush=True)
    subprocess.call(c)
    print("\n")

output_files = [os.path.basename(x) for x in glob('output/*')]
output_refs = [os.path.basename(x) for x in glob('output_ref/*')]

for f in output_refs:
    if f in output_files:
        s = os.stat('output/'+f).st_size /1024
        s_ref = os.stat('output_ref/'+f).st_size /1024
        if s == s_ref:
            print("---TEST  OK : files identical: %s" % f)
        else:
            print("---TEST FAIL: files different: %s, size: %.3f KB, reference: %.3f KB." % (f, s, s_ref))
    else:
        print("---TEST FAIL: file missing: output/%s" % f)
        
#print("Tidying up.")